Bug 470155 (xword)

Summary: Review Request: xword - Reads and writes crossword puzzles in the Across Lite file format
Product: [Fedora] Fedora Reporter: Alex Eskin <alexeskin>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dmalcolm, fedora-package-review, itamar, leamas.alec, mtasaka, notting, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-21 10:34:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    
Attachments:
Description Flags
python 2.6 patch (proposed) none

Description Alex Eskin 2008-11-05 20:04:28 EST
Spec URL: www.math.uchicago.edu/~eskin/xword/xword.spec
SRPM URL: www.math.uchicago.edu/~eskin/xword/xword-1.0-2.fc9.src.rpm
Description: Xword is a GTK program that works well for doing crossword puzzles in the Across Lite file format used by The New York Times and others. As well 
as a clock, it supports printing. It also auto-saves puzzles as you solve them 
so that you can return to partially completed puzzles.

This package is based on the debian/ubuntu package.

This is my first package and I need a sponsor.
Comment 1 Alex Eskin 2008-11-10 17:43:26 EST


Fixed a stupid packaging bug involving $RPM_BUILD_ROOT.

New Spec URL: www.math.uchicago.edu/~eskin/xword/xword.spec
New SRPM URL: www.math.uchicago.edu/~eskin/xword/xword-1.0-3.fc9.src.rpm

rpmlint now reports no errors or warnings.
Comment 2 Alec Leamas 2008-11-16 04:14:42 EST
I need a sponsor, so I need to make some informal reviews. A short look at the spec file looks good, for what value that can be. But I get an "Access denied" for the srpm. No good, that is :-)

--alec
Comment 3 Alex Eskin 2008-11-17 11:22:57 EST
Sorry about that. Try it now.
Comment 4 Alec Leamas 2008-11-17 17:54:18 EST
OK, now I can download.

Rpmlint is dead quiet on package and spec file.

The naming is OK, as is the base name of the spec file.

Package builds cleanly in mock, on a Fedora 9/X86_64 configuration.

After building and installing, the program starts just fine. Nothing strange
at a first sight. 

The license: tag is valid, and the code has a proper license file and
copyright notice in the source.

The package meets to my understanding the Packaging Guidelines.

The License file is not in %doc (there is no %doc at all). It should be.

The upstream md5sum matches the srpm source (5e1963b488dfa0aca75be3bc3af04887)

As a summary, I see no problems at all with this package besides the missing 
%doc LICENSE. And it looks fun. You know, it's harder if it's not your native language... I have actually walked down the complete review checklist, but it's really no point to describe all "complies" here.
Comment 5 Alex Eskin 2008-11-20 04:16:03 EST
Thanks a lot for for the review!

I added the %doc LICENSE

New Spec URL: http://www.math.uchicago.edu/~eskin/xword/xword.spec
New SRPM URL: http://www.math.uchicago.edu/~eskin/xword/xword-1.0-4.fc9.src.rpm

--Alex
Comment 6 Mamoru TASAKA 2009-01-30 13:07:06 EST
Hello, Alex:

It seems that no one tried to review your package for more
than 2 months.
Do you still want to import your srpm into Fedora?
If so, I will try to review your package.
Comment 7 Alex Eskin 2009-01-31 11:04:05 EST
Yes, I still would like to import it. Thanks!


--Alex
Comment 8 Mamoru TASAKA 2009-01-31 14:29:03 EST
Well, I have not checked your package at all, however

-------------------------------------------------------------
NOTE: Before being sponsored:

Before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 9 Mamoru TASAKA 2009-02-01 09:35:06 EST
Created attachment 330550 [details]
python 2.6 patch (proposed)

For 1.0-4

* Dependency
-----------------------------------------------------------
$ grep 'import ' xword 
import pygtk
import gtk
import gtk.gdk
import gobject
    import gnomeprint
    import gnomeprint.ui
import pango
import sys
import time
import os, os.path
import md5
import pickle
import ConfigParser
-----------------------------------------------------------
  - It seems "Requires: pygtk2 gnome-python2-gnomeprint" is
    sufficient.

* Scriptlets
  - For desktop-file-install, now "--vendor=fedora" is not needed
    (guidelines changed):
    https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

  - "Requires: shared-mime-info" is not needed:
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo

* Some misc issue
-----------------------------------------------------------
%prep
....
mkdir mime
cp -p %SOURCE2 mime
-----------------------------------------------------------
  - What are these lines for?

-----------------------------------------------------------
gzip $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
-----------------------------------------------------------
  - Not needed. rpmbuild itself gzip's this automatically.

* Macros in %changelog
  - In changelog, when you write macros please use %% instead
    of % to prevent macros from being expanded.

* Python warning
  - By the way now rawhide uses python 2.6 and xword
    causes some warnings:
------------------------------------------------------------
./xword:50: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
------------------------------------------------------------
    Would you check if the attached patch works for you?

Then I will wait for your another review request or
your pre-review.
Comment 10 Mamoru TASAKA 2009-02-13 10:44:10 EST
ping?
Comment 11 Alex Eskin 2009-02-13 12:28:09 EST
Sorry, I was away for a bit. I will test your patch and
respond to the other comments this weekend. 

Also I do not have a rawhide system handy. Did you test it
on rawhide already?
Comment 12 Mamoru TASAKA 2009-02-13 12:57:39 EST
(In reply to comment #11)
> Also I do not have a rawhide system handy. Did you test it
> on rawhide already?

Like other packages I reviewed I don't know how to use this 
software so I did just some basic test for this software 
(like if the software lauches)
Comment 13 Mamoru TASAKA 2009-03-01 10:31:17 EST
ping again?
Comment 14 Mamoru TASAKA 2009-03-09 12:33:07 EDT
ping again?
Comment 15 Alex Eskin 2009-03-11 00:21:14 EDT
The proposed python2.6 patch fails on fedora 9. I will
fix it, but it will take a bit of time.
Comment 16 Mamoru TASAKA 2009-03-26 10:19:03 EDT
If my patch won't work on F-9, for now you can just ignore
it because my patch is just to suppress warnings.

By the way I am still waiting your pre-review or another review
request.
Comment 17 Mamoru TASAKA 2009-04-04 12:16:55 EDT
ping again?
Comment 18 Alex Eskin 2009-04-05 17:02:15 EDT
Thanks for your patience. I addressed most of the comments in the
new version. Python 2.6 patch will be addressed when I get back
home (a few weeks). 


New Spec URL: http://www.math.uchicago.edu/~eskin/xword/xword.spec
New SRPM URL: http://www.math.uchicago.edu/~eskin/xword/xword-1.0-5.fc9.src.rpm

--Alex
Comment 19 Mamoru TASAKA 2009-04-12 12:37:07 EDT
Sorry, I missed your last comments. I will re-review
this package soon.
Comment 20 Mamoru TASAKA 2009-04-12 14:13:37 EDT
Well, for 1.0-5:

* GTK icon cache scriptlets, %define -> %global change
  - Guidelines again changed so please update to follow the last
    ones:

https://fedoraproject.org/wiki/Packaging/Python#System_Architecture
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 21 Mamoru TASAKA 2009-04-25 13:14:30 EDT
ping?
Comment 22 Mamoru TASAKA 2009-05-09 12:39:42 EDT
ping again?
Comment 23 Mamoru TASAKA 2009-05-13 12:30:47 EDT
I will close this bug as NOTABUG if no response is received
from the reporter within ONE WEEK.
Comment 24 Mamoru TASAKA 2009-05-21 10:34:15 EDT
Once closing.

If someone wants to import this package into Fedora,
please file a new review request and mark this bug as
a duplicate of the new one, thank you.
Comment 25 Ankur Sinha (FranciscoD) 2012-10-30 18:00:25 EDT

*** This bug has been marked as a duplicate of bug 871629 ***